<p>clients-update works!</p>
<form [formGroup]="formClientsUpdate" novalidate (ngSubmit)="update()">
    <div>
        <label for="">name</label>
        <input type="text" formControlName="name" name="name">
        <div *ngIf="formClientsUpdate.get('name').invalid && (formClientsUpdate.get('name').dirty || formClientsUpdate.get('name').touched ) ">
            <div *ngIf="formClientsUpdate.get('name').errors.required">
                <p class="error-validate">El campo es requerido</p>

            </div>
            <div *ngIf="formClientsUpdate.get('name').errors.maxlength">
                <p class="error-validate">El campo debe contener maximo 30 caracteres</p>
            </div>

        </div>



    </div>
    <div>
        <label for="">Email</label>
        <input type="text" formControlName="email" name="email">
    </div>
    <div>
        <label for="">PhoneNumber</label>
        <input type="text" formControlName="phoneNumber" name="phoneNumber">
    </div>
    <div>
        <label for="">documentNumber</label>
        <input type="text" formControlName="documentNumber" name="documentNumber">
    </div>

    <button type="submit" [disabled]="formClientsUpdate.invalid">Guardar</button>


</form>